/****************************************************************************
** Form interface generated from reading ui file 'sqlformwizard.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#ifndef SQLFORMWIZARDBASE_H
#define SQLFORMWIZARDBASE_H

#include <ntqvariant.h>
#include <ntqwizard.h>

class TQVBoxLayout;
class TQHBoxLayout;
class TQGridLayout;
class TQSpacerItem;
class TQWidget;
class TQLabel;
class TQPushButton;
class TQListBox;
class TQListBoxItem;
class TQCheckBox;
class TQGroupBox;
class TQMultiLineEdit;
class TQButtonGroup;
class TQRadioButton;
class TQSpinBox;

class SqlFormWizardBase : public TQWizard
{
    TQ_OBJECT

public:
    SqlFormWizardBase( TQWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~SqlFormWizardBase();

    TQWidget* databasePage;
    TQLabel* TextLabel4;
    TQLabel* TextLabel3_2;
    TQPushButton* PushButton5;
    TQLabel* TextLabel3_3;
    TQListBox* listBoxTable;
    TQListBox* listBoxConnection;
    TQWidget* populatePage;
    TQLabel* TextLabel4_2;
    TQPushButton* buttonAddField_2;
    TQPushButton* buttonRemoveField_2;
    TQPushButton* buttonFieldUp_2;
    TQListBox* listBoxField;
    TQPushButton* buttonFieldDown_2;
    TQListBox* listBoxSelectedField;
    TQLabel* TextLabel2_3;
    TQLabel* TextLabel1_7;
    TQWidget* navigPage;
    TQLabel* TextLabel4_2_2;
    TQCheckBox* checkBoxNavig;
    TQGroupBox* GroupBox2;
    TQCheckBox* checkBoxPrev;
    TQCheckBox* checkBoxNext;
    TQCheckBox* checkBoxFirst;
    TQCheckBox* checkBoxLast;
    TQCheckBox* checkBoxEdit;
    TQGroupBox* GroupBox3;
    TQCheckBox* checkBoxInsert;
    TQCheckBox* checkBoxUpdate;
    TQCheckBox* checkBoxDelete;
    TQWidget* tablePropertiesPage;
    TQLabel* TextLabel4_2_2_2_2;
    TQGroupBox* GroupBox5;
    TQCheckBox* checkBoxReadOnly;
    TQGroupBox* GroupBox4;
    TQCheckBox* checkBoxConfirmInserts;
    TQCheckBox* checkBoxConfirmUpdates;
    TQCheckBox* checkBoxConfirmCancels;
    TQCheckBox* checkBoxConfirmDeletes;
    TQCheckBox* checkBoxSorting;
    TQWidget* sqlPage;
    TQLabel* TextLabel4_2_2_2;
    TQLabel* TextLabel3_2_2_2;
    TQLabel* TextLabel3_2_2;
    TQLabel* TextLabel1_3;
    TQMultiLineEdit* editFilter;
    TQLabel* TextLabel2;
    TQListBox* listBoxSortedField;
    TQPushButton* buttonAddSortField;
    TQPushButton* buttonRemoveSortField;
    TQPushButton* buttonUpSortField;
    TQPushButton* buttonDownSortField;
    TQPushButton* buttonReSortField;
    TQLabel* TextLabel1_4;
    TQListBox* listBoxSortField;
    TQWidget* layoutPage;
    TQLabel* TextLabel4_2_2_2_3_2;
    TQButtonGroup* ButtonGroup1;
    TQRadioButton* radioLabelsLeft;
    TQLabel* TextLabel3;
    TQLabel* TextLabel2_2;
    TQRadioButton* radioLabelsTop;
    TQCheckBox* checkCreateLayouts;
    TQCheckBox* checkCreateButtonLayout;
    TQCheckBox* checkCreateFieldLayout;
    TQSpinBox* spinNumberOfColumns;
    TQLabel* TextLabel1_6;
    TQWidget* finishPage;
    TQLabel* TextLabel4_2_2_2_3;
    TQLabel* TextLabel1_5;
    TQCheckBox* checkBoxAutoEdit;

protected:
    TQHBoxLayout* databasePageLayout;
    TQGridLayout* Layout5;
    TQHBoxLayout* Layout4;
    TQSpacerItem* Spacer1_2;
    TQGridLayout* populatePageLayout;
    TQGridLayout* Layout11;
    TQSpacerItem* Spacer1_10;
    TQSpacerItem* Spacer2_5;
    TQSpacerItem* Spacer3_3;
    TQHBoxLayout* navigPageLayout;
    TQVBoxLayout* Layout6;
    TQSpacerItem* Spacer1_3;
    TQGridLayout* GroupBox2Layout;
    TQGridLayout* GroupBox3Layout;
    TQGridLayout* tablePropertiesPageLayout;
    TQSpacerItem* Spacer1_7;
    TQVBoxLayout* GroupBox5Layout;
    TQGridLayout* GroupBox4Layout;
    TQGridLayout* sqlPageLayout;
    TQVBoxLayout* Layout8;
    TQSpacerItem* Spacer1_5;
    TQVBoxLayout* Layout10;
    TQSpacerItem* Spacer1_4;
    TQVBoxLayout* Layout13;
    TQVBoxLayout* Layout10_2;
    TQVBoxLayout* Layout11_2;
    TQSpacerItem* Spacer2_2;
    TQSpacerItem* Spacer1_6;
    TQSpacerItem* Spacer2_3;
    TQVBoxLayout* Layout12;
    TQGridLayout* layoutPageLayout;
    TQSpacerItem* Spacer1_9;
    TQSpacerItem* Spacer3_2;
    TQGridLayout* ButtonGroup1Layout;
    TQSpacerItem* Spacer4;
    TQSpacerItem* Spacer5;
    TQGridLayout* finishPageLayout;
    TQSpacerItem* Spacer2_4;
    TQSpacerItem* Spacer1;
    TQSpacerItem* Spacer2;

protected slots:
    virtual void languageChange();

    virtual void init();
    virtual void destroy();
    virtual void addField();
    virtual void addSortField();
    virtual void fieldDown();
    virtual void fieldUp();
    virtual void reSortSortField();
    virtual void removeField();
    virtual void removeSortField();
    virtual void setupDatabaseConnections();
    virtual void sortFieldDown();
    virtual void sortFieldUp();
    virtual void connectionSelected( const TQString & );
    virtual void tableSelected( const TQString & );


};

#endif // SQLFORMWIZARDBASE_H
